package mhp.oee.dao.gen;

import java.util.List;
import mhp.oee.po.gen.ResourceTimeLogPO;
import mhp.oee.po.gen.ResourceTimeLogPOExample;
import org.apache.ibatis.annotations.Param;

public interface ResourceTimeLogPOMapper {
    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resource_time_log
     *
     * @mbggenerated
     */
    int countByExample(ResourceTimeLogPOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resource_time_log
     *
     * @mbggenerated
     */
    int deleteByExample(ResourceTimeLogPOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resource_time_log
     *
     * @mbggenerated
     */
    int deleteByPrimaryKey(String handle);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resource_time_log
     *
     * @mbggenerated
     */
    int insert(ResourceTimeLogPO record);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resource_time_log
     *
     * @mbggenerated
     */
    int insertSelective(ResourceTimeLogPO record);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resource_time_log
     *
     * @mbggenerated
     */
    List<ResourceTimeLogPO> selectByExample(ResourceTimeLogPOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resource_time_log
     *
     * @mbggenerated
     */
    ResourceTimeLogPO selectByPrimaryKey(String handle);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resource_time_log
     *
     * @mbggenerated
     */
    int updateByExampleSelective(@Param("record") ResourceTimeLogPO record, @Param("example") ResourceTimeLogPOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resource_time_log
     *
     * @mbggenerated
     */
    int updateByExample(@Param("record") ResourceTimeLogPO record, @Param("example") ResourceTimeLogPOExample example);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resource_time_log
     *
     * @mbggenerated
     */
    int updateByPrimaryKeySelective(ResourceTimeLogPO record);

    /**
     * This method was generated by MyBatis Generator.
     * This method corresponds to the database table resource_time_log
     *
     * @mbggenerated
     */
    int updateByPrimaryKey(ResourceTimeLogPO record);
}